#ifndef SERIALIZE_VECTORS_HPP_
#define SERIALIZE_VECTORS_HPP_

#include <Serialize/Base.hpp>
#include <Serialize/Utils.hpp>
#include <Utilities/Utilities.hpp>

template<typename T>
DERIVE_STRUCT_SERIALIZER_PARTIAL(SINGLE_ARG(glm::vec<2, T, glm::packed_highp>), self.x, self.y);

template<typename T>
DERIVE_STRUCT_SERIALIZER_PARTIAL(SINGLE_ARG(glm::vec<3, T, glm::packed_highp>), self.x, self.y, self.z);

template<typename T>
DERIVE_STRUCT_SERIALIZER_PARTIAL(SINGLE_ARG(glm::vec<4, T, glm::packed_highp>), self.x, self.y, self.z, self.w);

#endif